# tm-database-lib

Shared database lib

## Control de versiones

Repositorio usado para controlar los cambios en las bases de datos.

## Instrucciones

1. Declarar el modelo de las nuevas tablas en [models.py](database_handler_orm/models.py)
2. Una vez añadidas las nuevas tablas, ejecutar:

```
alembic revision -m [nombre]
```

alembic se encargará de crear una nueva revisión de cambios para la base de datos dentro de [database_handler_orm/migrations/versions/xxxxxxxxxxxx_nombre.py](database_handler_orm/migrations/versions/)

3. Dentro de la nueva revisión creada es necesario que se añadan las instrucciones para ejecutar los cambios y el rollback.

```python
def upgrade():
    """
    Cambios, creación de tablas, etc.
    """
    pass


def downgrade():
    """
    Rollback
    """
    pass
```

4. Completar las variables de entorno de [Makefile](Makefile)

5. Ejecutar

```
make install
```

Esto ejecutará los cambios dentro de la base de datos.

##

6. Es importante que se actualice [setup.py](setup.py) y actualizar la version para que pueda ser utilizado como dependencia en otros proyectos. Es necesario ejecutar el siguiente comando:

```
python setup.py sdist upload -r pypidev -v
```
